.related_cases-layout {
    position: relative;
    margin-top: clamp(
        55px,
        55px + (95 - 55) * ((100vw - 350px) / (1130 - 350)),
        95px
    );
    margin-bottom: clamp(
        55px,
        55px + (100 - 55) * ((100vw - 350px) / (1130 - 350)),
        100px
    );
}

.related_cases-layout .post-grid {
    column-gap: 1.5rem;
    row-gap: 1.5rem;
}

.related_cases-layout .pk-heading {
    font-size: var(--heading-xl);
    font-weight: 500;
    text-align: center;
    margin-bottom: 32px;
}

.related_cases-layout .pk-grid-container{
    column-gap: 1.5rem;
    row-gap: 1.5rem;
}


.related_cases-layout .case_article {
	min-height: 230px;
	height: 100%;
    padding: 32px;
    border-radius: 12px;
    background: var(--pk-primary-beige);
    transition: background-color 0.5s ease-in-out;
    overflow: hidden;
}

.related_cases-layout .case_article:hover {
    background: var(--pk-primary-blue);
}

.related_cases-layout .case_article .case-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-decoration: none;
	height: 100%;
}

.related_cases-layout .case_article h2 {
    font-size: var(--heading-md);
    font-weight: 500;
}

.related_cases-layout .case_article:hover h2 {
    color: white;
}

.related_cases-layout .case_article .case-meta {
    display: flex;
    justify-content: flex-end;
	margin-top: auto;
}

.related_cases-layout .case_article .case-meta::after {
    content: "\f8ce";
    font-family: "Material Symbols outlined";
    font-size: 14px;
    color: var(--pk-primary-blue);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    border: 1.5px solid var(--pk-primary-blue);
    border-radius: 999px;
    transition: transform 0.5s ease-in-out;
}

.related_cases-layout .case_article:hover .case-meta::after {
    border: 1.5px solid var(--pk-white);
    background: var(--pk-white);
    transform: rotate(45deg);
}


.related_cases-layout .pk-button-group {
    margin-top: 50px;
    justify-content: center;
}

.related_cases-layout .pk-deco {
    max-width: fit-content;
    position: absolute;
    top: -50px;
    right: 0;
}

@media screen and (max-width: 768px) {
    .related_cases-layout {
        margin-bottom: 55px;
    }
    .related_cases-layout .pk-button-group {
        margin-top: 30px;
    }

    .related_cases-layout .pk-deco {
        display: none;
    }
}
